curl --request GET \
--url https://api.squared.ai/enterprise/api/v1/roles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "1",
"type": "roles",
"attributes": {
"role_name": "Admin",
"role_desc": "An Admin can add and manage Sources, Destinations, Models, Syncs, and Workspaces.",
"policies": {
"permissions": {}
},
"updated_at": "2024-08-01T10:03:39.086Z",
"created_at": "2024-08-01T10:03:39.021Z"
}
}
]
}Retrieves a list of all roles available.
curl --request GET \
--url https://api.squared.ai/enterprise/api/v1/roles \
--header 'Authorization: Bearer <token>'{
"data": [
{
"id": "1",
"type": "roles",
"attributes": {
"role_name": "Admin",
"role_desc": "An Admin can add and manage Sources, Destinations, Models, Syncs, and Workspaces.",
"policies": {
"permissions": {}
},
"updated_at": "2024-08-01T10:03:39.086Z",
"created_at": "2024-08-01T10:03:39.021Z"
}
}
]
}Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
A JSON array of roles
Show child attributes
Unique identifier for the role
"1"
Type of the resource
"roles"
Show child attributes
Name of the role
"Admin"
Description of the role
"An Admin can add and manage Sources, Destinations, Models, Syncs, and Workspaces."
Show child attributes
Show child attributes
Timestamp of the last update
"2024-08-01T10:03:39.086Z"
Timestamp of creation
"2024-08-01T10:03:39.021Z"
Was this page helpful?